code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
declare -r dotSTR=".................." #----------------------------# validate_config() { # Are the config values sane (within reason) #----------------------------# : <<inline_doc Validates the configuration parameters. The global var PROGNAME selects the parameter list. input vars: none ...
bryan5989/jhalfs
common/libs/func_validate_configs.sh
Shell
mit
11,235
#!/bin/bash status=`systemctl is-active bluetooth.service` if [ $status == "active" ] then echo "%{F#4dffffff} " else echo "%{F#4dffffff} " fi
Zjael/dotfiles
scripts/panel/bluetooth.sh
Shell
mit
151
#!/usr/bin/env bash if [ -f /home/vagrant/.homestead-features/webdriverutils ] then echo "Web Driver utilities already installed." exit 0 fi touch /home/vagrant/.homestead-features/webdriverutils chown -Rf vagrant:vagrant /home/vagrant/.homestead-features # Install The Chrome Web Driver & Dusk Utilities wget...
svpernova09/homestead
scripts/features/webdriver.sh
Shell
mit
772
#!/usr/bin/env bash OUTPUT=$1 TYPE=1 ICONS=".." current=$(echo "$(bspc query -D -d --names) - 1" | bc) icon_set=$(echo ${ICONS} | cut -d'.' -f ${TYPE}) icon=${icon_set:${current}:1} echo -en "%{T3}${icon}%{T1}" > $OUTPUT
tiborsimon/dotfiles
configs/lemon-modules/config/config/modules/desktop/render.bash
Shell
mit
307
#!/bin/bash ### Replay a trail file usage="Usage: $0 <path-to-promela-file> <path-to-trail-file> <path-to-spin-output-file>" spin="spin" # Check number of parameters if [[ "$#" -ne 3 ]]; then echo $usage exit 1 fi promelafile=$1 trailfile=$2 outputfile=$3 # Check parameters if ! [[ -f $promelafile ]] || ! [[ -f...
CS4098/GroupProject
src/main/model-checker/replay-trail.sh
Shell
mit
463
#!/bin/sh set -e # Your Ruby app's name APP_NAME="hello-world" # Your app's version, increment before deploys! APP_VERSION="1.0.0" TRAVELING_RUBY_VERSION="20150210-2.1.5" # Set this up in your ~/.aws/credentials # Use a profile that has the ability to put # objects on S3 and update Lambda functions AWS_PROFILE="use...
lorennorman/ruby-on-lambda
deploy.sh
Shell
mit
3,403
#!/bin/sh # Capture packets on time-limited files # For discussion of the choice of dnscap, see the file doc/Capture.md # binaries needed, change accordingly # dnscap is at https://github.com/verisign/dnscap DNSCAP="/usr/local/bin/dnscap" IFCONFIG="/sbin/ifconfig" NTPDATE="/usr/sbin/ntpdate" BC="/usr/bin/bc" # Inte...
songlinjian/Yeti-Project
script/monitor-external/capture-dnscap.sh
Shell
mit
5,011
#!/usr/bin/env bash koopa:::fedora_install_bcl2fastq_from_rpm() { # {{{ # """ # Install bcl2fastq from Fedora/RHEL RPM file. # @note Updated 2021-06-16. # """ local arch arch2 major_version name platform platform2 version version2 koopa::assert_has_no_args "$#" koopa::assert_is_installed 'r...
steinbaugh/seqcloud
lang/shell/bash/functions/os/linux/distro/fedora/install/bcl2fastq.sh
Shell
mit
1,123
presentation.py -d 20 pyconuk2015.pdf
drvinceknight/pyconuk2015
present.sh
Shell
mit
38
#!/bin/bash -u DIR=$(cd $(dirname $BASH_SOURCE);pwd) #inits SOURCE= SINK= ECHO= for i in "$@" do case "$i" in help) echo "Create links between metadata subdirs. Options are:" grep ') #' $BASH_SOURCE \ | grep -v grep \ | grep -v sed \ | sed 's:) #:|:g' \ | column -t -s...
jgte/orb
metadata/link-dup-metadatafiles.sh
Shell
mit
1,419
#!/usr/bin/env bash # # Summary # This script is for setting up a desktop workstation running the latest Ubuntu LTS. # # This script generates an RSA Key Pair, adds it to ssh-agent # # ========================================================== if [ ! -f "logger.sh" ]; then me=`basename "$0"` err...
jameswilliamknight/scripts.pub
Bash/provision/ubuntu/bootstrapper.sh
Shell
cc0-1.0
2,212
#!/bin/bash SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" source $SCRIPT_DIR/ENV.sh if [ $# -ne 1 ] then echo "Usage: RULE_PAT" echo $@ exit 1 fi RULE_PAT=$1 $SCRIPT_DIR/run-rules.sh \ $LEININGEN \ $KB_URL \ $KB_NAME \ $KB_USER $KB_PASS ...
bill-baumgartner/kabob
scripts/build/RULES.sh
Shell
epl-1.0
375
#!/bin/sh echo "Working example with FreeCAD_0.19-16854-Linux-Conda_Py3Qt5_glibc2.12-x86_64.AppImage" # Absolute path to this script. /home/user/bin/foo.sh SCRIPT=$(readlink -f $0) # Absolute path this script is in. /home/user/bin SCRIPTPATH=`dirname $SCRIPT` echo $SCRIPTPATH cd $SCRIPTPATH echo "Best using FC >= 0.18...
easyw/kicad-3d-models-in-freecad
cadquery/FCAD_script_generator/Inductors_SMD/create_model.sh
Shell
gpl-2.0
670
#!/bin/sh # # Copyright (C) 2004, 2007, 2011, 2012 Internet Systems Consortium, Inc. ("ISC") # Copyright (C) 2000, 2001 Internet Software Consortium. # # Permission to use, copy, modify, and/or distribute this software for any # purpose with or without fee is hereby granted, provided that the above # copyright notice...
phra/802_21
myODTONE/app/dhcp_usr/libs/bind/bind-9.8.4-P1/bin/tests/system/xfer/clean.sh
Shell
gpl-2.0
1,361
#/bin/bash # Lenovo Zeitnehmung if [[ $HOSTNAME == ZEITNEHMUNG* ]] then xrandr --output LVDS1 --auto --primary xrandr --output HDMI1 --auto --right-of LVDS1 sleep 5 # Nexoc Fritz elif [[ $HOSTNAME == nexoc ]] then xrandr --output LVDS-0 --auto --primary xrandr --output HDMI-0 --auto --right-of LVDS-0 sleep 5 f...
KarlZeilhofer/kiboko-manager
misc/config-screens.sh
Shell
gpl-2.0
322
#!/bin/bash # ldap_functions ## ldap commands ####### SLAPADD="$(which slapadd)" SLAPPASSWD="$(which slappasswd)" SLAPINDEX="$(which slapindex) -F $LDAP_DIRECTORY -n 2" SLAPTEST="$(which slaptest) -d2 -u" SLAPACL="$(which slapacl) -F $LDAP_DIRECTORY -v" LDAPADD="$(which ldapadd) -H ldapi:/// -Y EXTERNAL -Q" LDAPAD...
frenchbeard/ldap_setup
scripts/ldap_functions.sh
Shell
gpl-2.0
17,307
set_vga() { MODELINE=$(gtf $2 $3 $4 | grep Modeline | awk '{ printf("%4.2f %d %d %d %d %d %d %d %d\n", $3, $4, $5, $6, $7, $8, $9, $10, $11, $12) }') xrandr --newmode $2x${3}_$4 $MODELINE xrandr --addmode $1 $2x${3}_$4 xrandr --dpi 96 sleep 1 xrandr -s $2x${3}_$4 } start_app() { ...
drtuxwang/system-config
config/autoexec-opt.sh
Shell
gpl-2.0
1,658
#!/bin/sh . ${0%/*}/classpath.sh cmd="java -Xmx256M com.openlinksw.util.csv2ttl.Main $@" echo $cmd eval $cmd
kimajakobsen/bibm-sesame
csv2ttl.sh
Shell
gpl-2.0
112
netcat -L -p 5000 | mplayer -fps 60 -cache 1024
paulkramme/roverpi
bash/camstream-bash.sh
Shell
gpl-2.0
48
#!/bin/sh # broken check with --pidfile specified: # # $ (. /etc/rc.d/init.d/functions; status --pidfile /var/run/naviagent/agent.pid naviagent) # naviagent (pid 12788) is running... # # $ ls -l /proc/`cat /var/run/naviagent/agent.pid` # ls: cannot access /proc/12788: No such file or directory lib=$(dirname "$0")/.. ...
glensc/rc-scripts
t/status-pidfile.sh
Shell
gpl-2.0
829
#!/bin/bash # Script to deploy Collabtive at Terminal.com # Cloudlabs, INC. Copyright (C) 2015 # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 2 of the License, or # (at your op...
terminalcloud/apps
collabtive_installer.sh
Shell
gpl-2.0
2,190
#!/bin/sh # This script does personal backups to a rsync backup server. You will end up # with a 7 day rotating incremental backup. The incrementals will go # into subdirectories named after the day of the week, and the current # full backup goes into a directory called "current" if [ $(id -u) != 0 ] ; then echo ...
foresthz/fusion5.1
cronjobs/gforge-db-backup.sh
Shell
gpl-2.0
1,561
#!/bin/sh # file: simulate_ncsim.sh # # (c) Copyright 2008 - 2011 Xilinx, Inc. All rights reserved. # # This file contains confidential and proprietary information # of Xilinx, Inc. and is protected under U.S. and # international copyright and other intellectual property # laws. # # DISCLAIMER # This disclaimer is n...
argonnexraydetector/RoachFirmPy
ANLYellowBlocks/mkid_dacadc_4x/ise/mkiddac/ipcore_dir/testclk/simulation/timing/simulate_ncsim.sh
Shell
gpl-2.0
2,721
#!/bin/bash --norc # -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*- # ex: ts=8 sw=4 sts=4 et filetype=sh # # Copyright 2009 Red Hat, Inc. All rights reserved. # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as publi...
zfsonlinux/dracut
dracut-catimages.sh
Shell
gpl-2.0
3,522
#!/tmp/packing/sbin/busybox sh #### Based on AGNi pureCM ANYROM-AROMA Kernel (psndna88@gmail.com) #### AGNi Kernel-Patcher (based on original implementation for GT-S5830) #### DEFINE version info #################################################################################### DEVICE_MODEL="I8190,I8190N,I8190L" DE...
1N4148/android_kernel_golden
installer/I8190/tools/builder.sh
Shell
gpl-2.0
5,943
#!/bin/sh libbi sample @config.conf --target joint --model-file StochasticVolatility.bi --output-file data/obs.nc
lawmurray/StochasticVolatility
init.sh
Shell
gpl-2.0
115
#!/bin/sh set -euf pvs-studio-analyzer analyze -j8 -o PVS-Studio.log plog-converter -a 'GA:1,2,3;64:1,2,3;OP:1,2,3' -d V1032,V1042,V597 -t errorfile PVS-Studio.log
creaktive/aircrack-ng
build/pvs-studio.sh
Shell
gpl-2.0
166
#!/bin/bash # SPDX-License-Identifier: GPL-2.0+ . /usr/bin/rhts_environment.sh # Grab a copy of kernel messages, so we can inspect it later. # Note that the harness will upload *and clear* dmesg every time we report # a result, so we need to grab it here before we do anything else. dmesg >$TESTPATH/dmesg.log # Check...
beaker-project/beaker-core-tasks
check-install/runtest.sh
Shell
gpl-2.0
2,709
killall -q openssl ssl_server ssl_server2 MODES="ssl3 tls1 tls1_1 tls1_2" VERIFIES="NO YES" OPENSSL=openssl FAILED=0 for VERIFY in $VERIFIES; do if [ "X$VERIFY" = "XYES" ]; then P_SERVER_ARGS="auth_mode=required crt_file=data_files/server1.crt key_file=data_files/server1.key ca_file=data_files/test-ca.crt" P...
jkkj93/FREYA-LIVE-LIBRARY-OPTIMIZER-FOR-ANDROID
polarssl/tests/compat.sh
Shell
gpl-2.0
5,592
#!/bin/bash # Checks if there's a composer.json, and if so, installs/runs composer. set -euo pipefail cd /opt/app if [ -f /opt/app/composer.json ] ; then if [ ! -f composer.phar ] ; then curl -sS https://getcomposer.org/installer | php fi php composer.phar install fi test -e feed-icons.orig || m...
jparyani/Tiny-Tiny-RSS
.sandstorm/build.sh
Shell
gpl-2.0
416
#! /bin/sh # Copyright (C) 2001-2022 Free Software Foundation, Inc. # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 2, or (at your option) # any later version. # # This program ...
autotools-mirror/automake
t/installdir.sh
Shell
gpl-2.0
1,622
#!/bin/bash # Boeffla Kernel Universal Build Script # # Version 1.2, 26.08.2015 # # (C) Lord Boeffla (aka andip71) ####################################### # Parameters to be configured manually ####################################### BOEFFLA_VERSION="3.0-beta1-OOS12-bacon" EXTENDED_CMDLINE="androidboot.selinux=permi...
andip71/boeffla-kernel-oos-bacon
bbuild.sh
Shell
gpl-2.0
20,084
#! /bin/bash log () { [[ -z $verbose ]] || echo "$@" >&2 } [[ $1 = "-v" ]] && verbose=1 if xrandr | grep -q 'Screen.*1920 x 1080' then log "Extending displays..." xrandr --output DP-1 --primary --below HDMI-0 else log "Mirroring displays..." xrandr --output DP-1 --same-as HDMI-0 fi sleep 2 log "Setting sound...
murukeshm/scripts
tv.sh
Shell
gpl-2.0
554
#!/bin/bash iptables -t nat -D POSTROUTING 1 sysctl net.ipv4.ip_forward=0 sysctl net.ipv6.conf.all.forwarding=0
equalitie/Caislean
roles/openvpn/files/etc/openvpn/server-down.sh
Shell
gpl-2.0
114
#!/bin/bash if [ $EUID != 0 ]; then echo " * ERROR: This script should be run as root!" exit 1 fi # Stop if any errors occur set -e # Work from roots home cd /root/ # Get Started echo " * Installing EPEL Repository" EPEL=epel-release-latest-7.noarch.rpm && curl -O https://dl.fedoraproject.org/pub/epel/$EPEL...
eveseat/scripts
install/centos-7-x.sh
Shell
gpl-2.0
1,726
#! /bin/sh # Generate CGEN simulator files. # # Usage: /bin/sh cgen.sh {"arch"|"cpu"|"decode"|"defs"|"cpu-decode"} \ # srcdir cgen cgendir cgenflags \ # arch archflags cpu mach suffix extrafiles # # We store the generated files in the source directory until we decide to # ship a Scheme interpreter (or other implementat...
durandj/devkitadv
insight-5.3/sim/common/cgen.sh
Shell
gpl-2.0
5,538
#! /bin/sh -e # tup - A file-based build system # # Copyright (C) 2009-2022 Mike Shal <marfey@gmail.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License version 2 as # published by the Free Software Foundation. # # This program is distribu...
gittup/tup
test/t3013-ghost-var-poof.sh
Shell
gpl-2.0
1,297
#!/bin/bash ./baxter.sh rosrun baxter_interface joint_trajectory_action_server.py
spartangt117/EMARO
shell ROS/jointbaxter.sh
Shell
gpl-2.0
83
# # Copyright 2004 Sun Microsystems, Inc. All Rights Reserved. # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. # # This code is free software; you can redistribute it and/or modify it # under the terms of the GNU General Public License version 2 only, as # published by the Free Software Foundation. # #...
TheTypoMaster/Scaper
openjdk/jdk/test/sun/tools/jstat/jstatGcCauseOutput1.sh
Shell
gpl-2.0
1,558
#!/bin/sh # (C) 2002-2003 Dan Allen and Stefan Kamphausen # Written by Dan Allen <dan@mojavelinux.com> # - small additions by Stefan Kamphausen # - better completion code by Robi Malik robi.malik@nexgo.de # - trailing path support by Damon Harper <ds+dev-cdargs@usrbin.ca> Feb 2006 if [[ $SHELL == *zsh ]]; then auto...
cbxbiker61/cdargs
contrib/cdargs-bash.sh
Shell
gpl-2.0
9,521
#!/bin/bash #Author Miguel Salazar, ECS40, Winter 2014 if [[ $# -eq 0 ]]; then echo "usage: $0 directory pattern [-grep option]*" exit 1 #exits with failure of 1 because it does not reach the second peramitter. fi if [[ $# -eq 2 ]]; then find $1 -exec grep $2 {} \; else if [[ "$3" != -* ]]; then ...
salazarmiguel12/ECS40
p2/grepdir.sh
Shell
gpl-2.0
799
#!/bin/sh # run locally nohup scrapy crawl europerail -o ./scrapyprj/output/items.json # to deploy to a remote daemon run # scrapyd-deploy
Alexoner/web-crawlers
scrapyprj/run.sh
Shell
gpl-2.0
142
#!/bin/bash . ./paths cd $BASEPATH rm -f boot/vmlinuz if [ ! -d "kernel" ]; then echo "Copying kernel tree..." cp -a /usr/src/linux-4.4.6-gentoo kernel fi set -e cd kernel make mrproper cp ../kernel-cfg .config || true make menuconfig #make oldconfig make -j8 bzImage modules cd .. mkdir -p boot cp kernel/arch/x86/boo...
urjaman/makelive
kernel.sh
Shell
gpl-2.0
373
#! /bin/sh -e # tup - A file-based build system # # Copyright (C) 2010-2020 Mike Shal <marfey@gmail.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License version 2 as # published by the Free Software Foundation. # # This program is distribu...
ppannuto/tup
test/t5063-stale-ghost.sh
Shell
gpl-2.0
1,357
HASREADLINK=`which readlink` JAVAC=`which javac` getjdkinclude() { if [ -n "$HASREADLINK" ]; then while [ -h $JAVAC ] do JAVAC=`readlink $JAVAC` done echo `dirname $(dirname $JAVAC)`/$JDKINCLUDEDIRNAME else echo "need readlink. please install." exit fi return } if [ `uname` =...
discoverygarden/calliope
calliope-0.2.2/speller/rebuildll.sh
Shell
gpl-2.0
650
#!/bin/bash # this script was downloaded from: # https://jeroen.a-eskwadraat.nl/sw/annotate # and is part of devscripts ###VERSION### # Executes a program annotating the output linewise with time and stream # Version 1.2 # Copyright 2003, 2004 Jeroen van Wolffelaar <jeroen@wolffelaar.nl> # This program is free softw...
Debian/devscripts
scripts/annotate-output.sh
Shell
gpl-2.0
2,246
#run as sudo #installs admin panel into /var/www/html #sudo apt-get install -y php5 php5-curl sudo rm -rf BitcoinNodeAdmin git clone https://github.com/BitSeed-org/BitcoinNodeAdmin sudo cp -r BitcoinNodeAdmin/wallet_light/* /var/www/html sudo mkdir /var/www/public sudo mkdir /var/www/onion sudo cp -r BitcoinNodeAdmin/w...
bitseed-org/bitcoin-box
setup/admin-v2-install.sh
Shell
gpl-3.0
2,277
#!/bin/sh if [ ! -n "$BH" ]; then echo '$BH is not defined, did you call source settings.sh?' exit 1 fi cd "$BH" || exit 1 if [ $# -lt 2 ];then echo "You need to provide 2 parameters" exit 1 fi mono bouncer.exe "$2" chat.freenode.net bouncer_$1.pid >> bnc_$1.log rm -f bouncer_$1.pid
benapetr/wikimedia-bot
scripts/start_bouncer.sh
Shell
gpl-3.0
304
#!/bin/bash # # This file is part of demo-manual-composition. # # Demo-manual-composition is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) ...
malaverdiere/demo-manual-composition
init-db.sh
Shell
gpl-3.0
1,287
#!/bin/sh rm -rf firefox/ rm -rf mozilla-release/ tar -xf firefox-84.0.source.tar.xz #mv mozilla-release firefox/ mkdir firefox cd firefox/ ../firefox-84.0/configure --enable-release > /dev/null make clean
phoronix-test-suite/phoronix-test-suite
ob-cache/test-profiles/pts/build-firefox-1.1.0/pre.sh
Shell
gpl-3.0
208
# # shell script to build xLights # rm -rf bin cd xMenu make -f MainMenu.cbp.mak all cd .. cd xScheduler make -f xSchedule.cbp.mak all cd .. cd xConverter make -f xConverter.cbp.mak all cd ..
Materdaddy/xLights
version1/makeall.sh
Shell
gpl-3.0
194
#!/bin/bash check() { if [ $? != 0 ] then echo "Exit. Please check your error" exit 1 fi } check_group() { if ! grep -q mysql /etc/group then groupadd mysql else echo "mysql group already exists" fi check } check_user() { if ! grep -q mysql /etc/passwd then useradd -r -g mysql -s /bin/false mysql e...
cxuuu/LAMP
mysql.sh
Shell
gpl-3.0
2,301
#!/bin/sh # # This file is protected by Copyright. Please refer to the COPYRIGHT file # distributed with this source distribution. # # This file is part of GNUHAWK. # # GNUHAWK is free software: you can redistribute it and/or modify is under the # terms of the GNU General Public License as published by the Free Sof...
RedhawkSDR/integration-gnuhawk
components/divide_ss_2i/build.sh
Shell
gpl-3.0
1,551
gen_banner() { cat <<"banner" | | # // | | # // | | ______ # // | | ,'" "-._ #// ...
BrandonEckert/KillTheGibson
killthegibson.sh
Shell
gpl-3.0
3,433
clear echo "" echo "Flashing rc-proposed channel" echo "" sleep 1 echo "Please boot your MX4 into bootloader/fastboot mode by pressing Power & Volume Down (-)" echo "" sleep 1 echo -n "Is your MX4 in bootloader/fastboot mode now? [Y] "; read bootloadermode if [ "$bootloadermode"==Y -o "$bootloadermode"==y -o "$bootload...
MariusQuabeck/magic-device-tool
devices/mx4/ubuntu/rc-proposedwipe.sh
Shell
gpl-3.0
1,588
#!/usr/bin/env bash DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd ) echo $DIR DANCER_ENVIRONMENT='development' plackup -r -L Shotgun -p 5902 $DIR/../app.psgi # ps x|grep "starman master"|awk '/\s*\d*/ {print $1}' |xargs kill # DANCER_ENVIRONMENT='development' starman -D --listen 127.0.0.1:5002 $DIR/../app.psgi...
basbloemsaat/sheepsense
app/bin/run_dev.sh
Shell
gpl-3.0
322
#!/bin/bash mount --bind /dev /opt/easychroot/Arch/dev mount --bind /dev/pts /opt/easychroot/Arch/dev/pts mount --bind /proc /opt/easychroot/Arch/proc mount --bind /run /opt/easychroot/Arch/run mount --bind /sys /opt/easychroot/Arch/sys mount --bind /var/lib/dbus /opt/easychroot/Arch/var/lib/dbus mount --bind /var/run...
Preflex/easy-chroot
DeskChroot.sh
Shell
gpl-3.0
1,235
#!/bin/bash # $1 = database dump # $2 = mysql connect command # $3 = generated username # $4 = generated password # Sanitize database name in case none is provided from export # This handles incomplete exports from mysqldump and PMA DBNAME="$(cat /dev/urandom | tr -cd 'a-f0-9' | head -c 32)" if grep -qe "-- Database:"...
axfelix/islandora_solution_pack_database
includes/import-database.sh
Shell
gpl-3.0
984
#!/bin/sh PROTECTED_BRANCH="master" REMOTE_REF=$(echo "$HUSKY_GIT_STDIN" | cut -d " " -f 3) if [ -n "$REMOTE_REF" ]; then if [ -z "${REMOTE_REF##*$PROTECTED_BRANCH*}" ]; then printf "%sYou're about to push to master, is that what you intended? [y/N]: %s" "$(tput setaf 3)" "$(tput sgr0)" read -r PROCEED < /dev/tt...
greguly/woocommerce
bin/pre-push.sh
Shell
gpl-3.0
600
rm -fr build mkdir build cp -a ../../nomoretools-acceptance-tests/. build docker build -t zsuffazs/ci-fitnesse . docker run -d -p 9123:9123 --name ci-fitnesse zsuffazs/ci-fitnesse
ZsZs/nomoretools
continuous-integration/fitnesse/build.sh
Shell
gpl-3.0
185
#!/bin/sh install native/libcore.3.1.so native/libcore.3.0.so native/libcore.3.so native/libcore.so /lib install libcoree.3.1.so libcoree.3.0.so libcoree.3.so libcoree.so /lib install builtin.eh connection.eh dataio.eh dict.eh dl.eh error.eh func.eh i18n.eh io.eh list.eh math.eh pipe.eh rnd.eh strbuf.eh string.eh sys....
tectronics/alchemy-os
libs/libcore/install.sh
Shell
gpl-3.0
345
#!/bin/bash script_dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" vspamkiller_service_name="vspamkiller" vspamkiller_init="${script_dir}/init.d" vspamkiller_config="${script_dir}/config" vspamkiller_prefs="${script_dir}/prefs" vspamkiller_script="${script_dir}/script" vspamkiller_init_file="${vspamkiller_in...
valdi74/scripts
vspamkiller/copy_to_ruter.sh
Shell
gpl-3.0
1,204
#!/bin/bash clear # Build server first echo "Entering server source directory..." cd server echo "Beginning server build..." echo "Building database library..." mcs -target:library -out:Local-Database.dll -reference:System.Data.dll -reference:Npgsql.3.2.5/lib/net45/Npgsql.dll DatabaseLibrary.cs echo "Building netw...
nowdeprecated/platform-game
Build.sh
Shell
gpl-3.0
746
cd /tmp git clone git@github.com:neovim/neovim.git cd neovim make CMAKE_BUILD_TYPE=Release make CMAKE_INSTALL_PREFIX=$HOME/.neovim install
JJGO/dotfiles
install-neovim.sh
Shell
gpl-3.0
139
#!/bin/bash V_PROJECT=fem_draw_qt V_BUILDDIR=build_osx_qt5.3.0_clang64 V_APPNAME="FEM Draw" V_DMGNAME="fem_draw_qt" QTDIR="${HOME}/Qt/5.3/clang_64" CMD_QMAKE="${QTDIR}/bin/qmake" CMD_DEPLOY="${QTDIR}/bin/macdeployqt" cd "$(dirname $0)"/.. rm -rf "${V_BUILDDIR}" mkdir -p "${V_BUILDDIR}" cd "${V_BUILDDIR}" ${CMD_QMAKE}...
AlienCowEatCake/fem_draw
buildscripts/osx_qt5.3.2_clang64.sh
Shell
gpl-3.0
1,005
#!/bin/sh curr_dir=`pwd` dir=`dirname $0` ABS_PATH=`cd $dir; pwd` cd "$ABS_PATH" (./header.sh; sqlite3 ./ipmac.db < ./list_ip_today.sql | sed 's/\\n/<br>/g'; ./footer.sh) > /misc/www/chps_today.html
lyshie/net-utils
list_ip_today.sh
Shell
gpl-3.0
201
#!/usr/bin/env bash ######################################################################### # File Name: println.sh # Author: lingy # Created Time: Sat 31 Dec 2016 11:41:21 AM CST # Description: ######################################################################### # 修改默认分隔符 IFS=$'\n' IFS_OLD=$...
LingyuGitHub/codingofly
shell/println.sh
Shell
gpl-3.0
416
#!/bin/sh pkgname=attr pkgver=2.4.47 vcs=git gittag=v${pkgver} extension=gz folder="http://download.savannah.gnu.org/releases/${pkgname}/" check_server=1 relmon_id=137 relmon_sed='s/\.src//g' srctar=${pkgname}-${pkgver}.src.tar.${extension} . ${KIIN_REPO}/defaults.sh ver_grep="^${pkgname}-.*\.src\.tar\.${extension}...
alekseyrybalkin/kiin-repo
base/attr/package.sh
Shell
gpl-3.0
847
# Name: Install Elegance Colors # Command: install_elegance # Value: False install_elegance() { show_func "Installing Elegance Colors Gnome Shell theme" if [[ "$(install_elegance_test)" = "Installed" ]]; then show_status "Elegance Colors Gnome Shell theme already installed" else add_repo "elegance-colors.repo" inst...
mknapik/fedorautils
plugins/install_elegance.soft.sh
Shell
gpl-3.0
656
#!/bin/sh # pobranie niezbędnych pakietów sudo apt-get install build-essential zlib1g-dev \ libreadline5-dev libssl-dev libmagick++-dev \ libsqlite3-dev imagemagick libxslt1-dev libxml2-dev # pobranie wersji 1.8.7 wget ftp://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p174.tar.gz # rozpakowanie pliku .tar.gz tar -xzf rub...
morgoth/quiz
extras/environment_setup.sh
Shell
gpl-3.0
1,454
#!/bin/bash ############################################ # Given a folder containing fastq files # this script copies those fastq files # over and then concatenates them together # while keeping the paired end reads order ############################################ fastqdir=$1 scratch=$2 read1name=$3 read2name=$4 #...
brianyu2010/Mini-Metagenomic_Analyses
snakehelper_combine_fastq.sh
Shell
gpl-3.0
1,327
#!/bin/sh ### BEGIN INIT INFO # Provides: unicorn # Required-Start: $remote_fs $syslog # Required-Stop: $remote_fs $syslog # Default-Start: 2 3 4 5 # Default-Stop: 0 1 6 # Short-Description: Manage unicorn server # Description: Start, stop, restart unicorn server for a specific applicatio...
hielf/zjs_mgr
config/unicorn_init.sh
Shell
gpl-3.0
1,747
#!/usr/bin/env bash # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ # # # # Make a pwd binary release # # #...
cadrian/pwd
release.sh
Shell
gpl-3.0
5,837
#!/bin/bash # assignment 4 dns # verify student config # pmcampbell # 2021-04-08 if [[ $# < 1 ]] ; then echo $(basename $0) need a file of hosts to check as cli arg exit 1 fi while read -r dns domain server client ; do if [[ $dns =~ ^# ]] ; then echo $i continue ; fi # echo $dns.$domain # ...
campbe13/useful-scripts
440/assign4/checknames.dig.sh
Shell
gpl-3.0
1,027
#!/bin/sh # Exercise the -x option. # Copyright (C) 2007-2019 Free Software Foundation, Inc. # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your opti...
komh/coreutils-os2
tests/ls/x-option.sh
Shell
gpl-3.0
1,120
#!/bin/bash USER_NAME="$(id -un)" USER_ID="$(id -u)" GROUP_NAME="$(id -gn)" GROUP_ID="$(id -g)" PATH=$PATH:/usr/local/bin stop_and_remove_containers() { docker-compose -p $1 rm -fsv } stop_and_remove_containers $1 docker-compose build \ --build-arg USER_NAME="$USER_NAME" \ --build-arg USER_ID=$USER_ID \ --build-a...
UH-StudentServices/mystudies-myteaching-backend
docker/ci/script/run.sh
Shell
gpl-3.0
687
#!/bin/bash set -e pegasus_lite_version_major="4" pegasus_lite_version_minor="7" pegasus_lite_version_patch="0" pegasus_lite_enforce_strict_wp_check="true" pegasus_lite_version_allow_wp_auto_download="true" . pegasus-lite-common.sh pegasus_lite_init # cleanup in case of failures trap pegasus_lite_signal_int INT trap...
elainenaomi/sciwonc-dataflow-examples
dissertation2017/Experiment 1A/logs/w-07_0/20161024T142714+0000/00/00/taskevent_0_ID0000006.sh
Shell
gpl-3.0
1,237
#!/bin/bash #grademerge in=<infile> out=<outfile> function usage(){ echo " Written by Brian Bushnell Last modified February 17, 2015 Description: Grades correctness of merging synthetic reads with headers generated by RandomReads and re-headered by RenameReads. Usage: grademerge.sh in=<file> Parame...
richrr/scripts
bash/bbtools/bbmap/grademerge.sh
Shell
gpl-3.0
1,094
#!/bin/bash ### Script to convert the "csv" (actually semicolon separated) from the ### Swiss government into an SQL statement file that can be run to import ### it as the zipcodes table. ### More info at: ### opendata.swiss - Official index of cities and towns including postal codes and perimeter ### https://opendat...
meosch/ch-PLZ-to-drupal-location-mysql-converter
ch-plz-mysql-conv.sh
Shell
gpl-3.0
5,708
#!/usr/bin/env bash cpu=4 # Given a bam file, this script outputs the counts of tags in genes, transposons and clusters in dm3 bam=$1 prefix=${bam%.bam} prefix=$(basename ${prefix}) # bedtools bamtobed -i ${bam} > ${prefix}.bed # samtools view ${bam} | wc -l > ${prefix}.input.total_reads nf=$(cat ${prefix}.input.tota...
yfu/tools
count_read_chipseq.dm3.sh
Shell
gpl-3.0
1,636
# added 2014-10-31 by singh.janmejay # This file is part of the rsyslog project, released under ASL 2.0 echo =============================================================================== echo \[mmnormalize_variable.sh\]: basic test for mmnormalize module variable-support source $srcdir/diag.sh init source $srcdir/dia...
kelledge/rsyslog
tests/mmnormalize_variable.sh
Shell
gpl-3.0
630
#!/bin/bash # Monkey-coder: Shawn the R0ck,<citypw@gmail.com> # GPL'ed.... echo "=====================[ Audit for linkers on GNU/Linux ]====================" echo "###########################################################################" echo " This is free software, and you are welcome to redistribute it under ...
citypw/arsenal-4-sec-testing
audit/ld_audit.sh
Shell
gpl-3.0
1,323
#!/bin/bash -l #PBS -l walltime=1:00:00,nodes=1:ppn=1,mem=20gb #PBS -N tiles_analysis #PBS -r n #PBS -m abe #PBS -M pcrisp@umn.edu ########## QC ################# set -xeuo pipefail echo ------------------------------------------------------ echo -n 'Job is running on node '; cat $PBS_NODEFILE echo ------------------...
pedrocrisp/springerlab_methylation
SeqCap/10-tiles_analysis_filter_list.sh
Shell
mpl-2.0
1,715
#!/bin/sh # # This file is part of Blokada. # # This Source Code Form is subject to the terms of the Mozilla Public # License, v. 2.0. If a copy of the MPL was not distributed with this # file, You can obtain one at https://mozilla.org/MPL/2.0/. # # Copyright © 2021 Blocka AB. All rights reserved. # # @author Karol Gu...
blokadaorg/blokada
android5/build.engine.sh
Shell
mpl-2.0
1,385
#!/bin/bash set -e [ "$#" -eq 1 ] || { echo "Specify tag as argument"; exit 1; } current_branch=$(git rev-parse --abbrev-ref HEAD) [ "${current_branch}" = "master" ] || { echo "Merge down to master branch first"; exit 1; } tag=${1#v} changelog=CHANGELOG.md changedate=$(date "+%B %-d, %Y") if grep "${tag}" "${chan...
brightbox/terraform-provider-brightbox
scripts/tagrelease.sh
Shell
mpl-2.0
741
#!/bin/bash # please edit these environment variables DBDIR=/my/db/folder/ WEBDIR=/var/www/bms WEBUSER=www-data # running the commands ... mkdir $DBDIR mkdir $WEBDIR cd $WEBDIR chgrp -R $WEBUSER . chmod -R g+w $DBDIR mkdir data_cache chmod g+w data_cache cp config/config.sample.php config/config.php sqlite3 $DBDIR/prov...
MfN-Berlin/BioCASe-Monitor-Service
biocasemonitor/config/install.sample.sh
Shell
agpl-3.0
394
#!/bin/bash # Copyright 2015 Telefonica Investigacion y Desarrollo, S.A.U # # This file is part of the iotagent-thinking-things. # # the iotagent-thinking-things is free software: you can redistribute it and/or # modify it under the terms of the GNU Affero General Public License as # published by the Free Software Foun...
telefonicaid/iotagent-thinking-things
rpm/create-rpm.sh
Shell
agpl-3.0
2,394
#!/bin/bash # # This file is part of SerialPundit. # # Copyright (C) 2014-2020, Rishi Gupta. All rights reserved. # # The SerialPundit is DUAL LICENSED. It is made available under the terms of the GNU Affero # General Public License (AGPL) v3.0 for non-commercial use and under the terms of a commercial # license for...
RishiGupta12/serial-communication-manager
applications/xmodem-minicom-script/minicom.sh
Shell
agpl-3.0
2,358
#!/usr/bin/env bash set -e . ../build_config.sh rm -rf tmp mkdir tmp cd tmp echo "Building libsamplerate $LIBSAMPLERATE_VERSION" curl -SLO http://www.mega-nerd.com/SRC/$LIBSAMPLERATE_VERSION.tar.gz tar -xf $LIBSAMPLERATE_VERSION.tar.gz cd $LIBSAMPLERATE_VERSION CPPFLAGS=-fPIC ./configure \ --prefix=$PREFIX \ ...
MTG/essentia
packaging/debian_3rdparty/build_libsamplerate.sh
Shell
agpl-3.0
405
#!/bin/sh echo "running ${1}..." cd /opt/tests/buteo-sync-plugins exec ${1} -maxwarnings 0
ycyd/buteo-sync-plugins
bin/runstarget.sh
Shell
lgpl-2.1
94
#!/bin/sh #kurento-module-scaffold.sh example kms-example opencv_filter mkdir -p build if [ "$1" = "js" ]; then cd build; cmake .. -DGENERATE_JS_CLIENT_PROJECT=TRUE; cd js; sudo npm install grunt grunt-browserify grunt-contrib-clean grunt-jsdoc grunt-npm2bower-sync minifyify; grunt else cd build; cmake ../;...
VictorHidalgoVT/NUBOMEDIA-VCA
modules/nubo_eye/nubo-eye-detector/compile_filter.sh
Shell
lgpl-2.1
605
#!/bin/sh MAKE=`which gnumake` if test ! -x "$MAKE" ; then MAKE=`which gmake` ; fi if test ! -x "$MAKE" ; then MAKE=`which make` ; fi HAVE_GNU_MAKE=`$MAKE --version|grep -c "Free Software Foundation"` if test "$HAVE_GNU_MAKE" != "1"; then echo !!!! ERROR: You need GNU make to build from cvs!; echo !!!! $MAKE is not ...
gfunkmonk2/libmatepanelmm
autogen.sh
Shell
lgpl-2.1
1,222
#! /bin/sh rm -f config.cache ## Try new method (/usr/bin/autoreconf --install) || { ## Otherwise fallback to older method echo aclocal... (aclocal --version) < /dev/null > /dev/null 2>&1 || { echo aclocal not found exit 1 } libtoolize --force --copy aclocal $ACLOCAL_FLAGS echo autoheader... (autoheade...
worldforge/sage
autogen.sh
Shell
lgpl-2.1
710
#!/bin/sh # # GPackager Build Script # (C) 2013 Christian Gunderman # ..because I was too lazy to build a makefile # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU Lesser General Public License as # published by the Free Software Foundation. # # This program is ...
gundermanc/gpac
build.sh
Shell
lgpl-3.0
789
#PBS -l nodes=1:ppn=1,mem=10gb,walltime=48:00:00 -j oe -N bwa #PBS -d ./ -M rolarte@ucr.edu -m abe module load bwa/0.7.9 module load samtools/1.1 module load java module load picard CPU=$PBS_PPN SAMPLEFILE=samples.info BWA=bwa GENOMEIDX=/rhome/rolarte/bigdata/Clusitaniae/Broad/candida_lusitaniae_1_supercontigs.fasta ...
stajichlab/Candida_lusitaniae
pipeline/old/run_bwa_arrayjobs.sh
Shell
lgpl-3.0
1,666
#!/usr/bin/env bash source altcalconv.sh function mycommand { echo "mycommand $1 to stdout" stderr "mycommand $1 to stderr" return 42 } eval $(capture ret out err := mycommand "hello friends") echo "ret:$ret" echo "out:$out" echo "err:$err"
eriksank/altcalconv
test-capture.sh
Shell
lgpl-3.0
257
#!/bin/bash . /opt/users/$LOGNAME/monti-pytroll/setup/bashrc no_virtual_environment # go to operational pytroll folder export dir1=/data/OWARNA/hau/pytroll/programs/ export PYTHONPATH=/home/cinesat/python/lib/python2.7/site-packages export XRIT_DECOMPRESS_PATH=/data/OWARNA/hau/pytroll/bin/xRITDecompress echo '' cd...
meteoswiss-mdr/monti-pytroll
scripts/plot_hsaf.sh
Shell
lgpl-3.0
974
#!/bin/bash /usr/bin/firefox -no-remote -purgecaches -P greasemonkey
Sotera/DatawakeFFPlugin
_runFF.sh
Shell
unlicense
70
#!/bin/bash # checks that output of the bin/tail program is same to output of system tail PATH=/bin:/usr/bin:$PATH lines=5 while getopts "n:m:r:" opt; do case $opt in n) lines=$OPTARG ;; r) returns=$OPTARG ;; m) method="-m $OPTARG" ;; esac done file=${@:$OPTIND:1...
nikkikom/tail
tests/behave/check_tail.sh
Shell
unlicense
526
#!/bin/bash pwd cd ./bound ./make.sh cd .. cd ./component ./make.sh cd .. cd ./container ./make.sh cd .. cd ./index ./make.sh cd .. cd ./scalar ./make.sh cd ..
dmilos/color
example/less-than-1k/trait/make.sh
Shell
apache-2.0
172